aboutsummaryrefslogtreecommitdiff
path: root/templates/tunnel-autossh.erb
diff options
context:
space:
mode:
Diffstat (limited to 'templates/tunnel-autossh.erb')
-rw-r--r--templates/tunnel-autossh.erb30
1 files changed, 30 insertions, 0 deletions
diff --git a/templates/tunnel-autossh.erb b/templates/tunnel-autossh.erb
new file mode 100644
index 0000000..0e38c3a
--- /dev/null
+++ b/templates/tunnel-autossh.erb
@@ -0,0 +1,30 @@
+#!/bin/sh
+# port forwarding with ssh
+# installed with: update-rc.d tunnel-autossh start 18 2 3 4 5 . stop 81 0 1 6 .
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+
+if ! [ -x /usr/bin/autossh ]; then
+ echo "Where is autossh?"
+ exit 0
+fi
+
+case "$1" in
+ start)
+ # same as above for the collector
+ # here we are binding to a host with an common internal interface (127.0.0.1)
+ /bin/su <%= autossh_tunneluser %> -c '/usr/bin/autossh -f -N -L <%= autossh_localport %>:<%= autossh_localip %>:<%= autossh_localportservice %> <%= autossh_remotehost %> -M <%= autossh_moniport %>'
+ echo "adding tunnel for ldap replication"
+ ;;
+ stop)
+ echo -n "destroying tunnel ..."
+ killall autossh
+ echo "destroyed!"
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/tunnel-autossh {start|stop}"
+ exit 1
+ ;;
+esac
+